StartPatientInsightsJob - Amazon Connect Health

StartPatientInsightsJob

Starts a new patient insights job.

Request Syntax

POST /domain/domainId/patient-insights-job HTTP/1.1 Content-type: application/json { "clientToken": "string", "encounterContext": { "encounterReason": "string" }, "inputDataConfig": { "fhirServer": { "fhirEndpoint": "string", "oauthToken": "string" }, "s3Sources": [ { "uri": "string" } ] }, "insightsContext": { "insightsType": "string" }, "outputDataConfig": { "s3OutputPath": "string" }, "patientContext": { "dateOfBirth": "string", "patientId": "string", "pronouns": "string" }, "userContext": { "role": "string", "specialty": "string", "userId": "string" } }

URI Request Parameters

The request uses the following URI parameters.

domainId

Length Constraints: Minimum length of 20. Maximum length of 25.

Pattern: (hai-|dom-)[a-z0-9]+

Required: Yes

Request Body

The request accepts the following data in JSON format.

clientToken

Unique, case-sensitive identifier that you provide to ensure the idempotency of the request.

Type: String

Pattern: .*[\s\S]*\S[\s\S]*.*

Required: No

encounterContext

Type: PatientInsightsEncounterContext object

Required: Yes

inputDataConfig

Type: InputDataConfig object

Required: Yes

insightsContext

Type: InsightsContext object

Required: Yes

outputDataConfig

Type: OutputDataConfig object

Required: Yes

patientContext

Type: PatientInsightsPatientContext object

Required: Yes

userContext

Type: UserContext object

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "creationTime": "string", "jobArn": "string", "jobId": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

creationTime

Date and time the patient insights job was submitted.

Type: Timestamp

jobArn

Type: String

Length Constraints: Minimum length of 20. Maximum length of 200.

Pattern: arn:aws[-a-z]*:health-agent:[-a-z0-9]+:[0-9]{12}:domain/[-a-zA-Z0-9-]+/patient-insights-job/[-a-zA-Z0-9_/.]+

jobId

Type: String

Length Constraints: Minimum length of 1. Maximum length of 36.

Errors

For information about the errors that are common to all actions, see Common Errors.

AccessDeniedException

This error is thrown when the client does not supply proper credentials to the API.

HTTP Status Code: 401

ConflictException

This error is thrown when a resource update is no longer valid due to assumptions about initial state changing.

HTTP Status Code: 409

InternalServerException

This error is thrown when a transient error causes our API to fail.

HTTP Status Code: 500

ResourceNotFoundException

This error is thrown when the requested resource is not found.

HTTP Status Code: 404

ThrottlingException

This error is thrown when the client exceeds the allowed request rate.

HTTP Status Code: 429

ValidationException

This error is thrown when the client supplies invalid input to the API.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: